Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery
Class XQueryProcessor

    java.lang.Object
      org.basex.core.Progress
          org.basex.query.QueryProcessor
              org.basex.query.xquery.XQueryProcessor

    public final class XQueryProcessor

extends QueryProcessor

This is the main class of the XQuery Processor.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Field Summary
`XQContext` | `ctx` XQuery context reference.

Fields inherited from class org.basex.query.QueryProcessor
`query`

Constructor Summary
`XQueryProcessor(java.lang.String qu)` XQuery Constructor.
`XQueryProcessor(java.lang.String qu, IO f)` XQuery Constructor.

Method Summary
`QueryContext` | `create()` Parses the specified query and returns the query context.
`void` | `module(java.lang.String ns, java.lang.String file)` Adds a module reference.
`void` | `parse(java.lang.String in)` Parses the specified input.
`void` | `setQuery(java.lang.String qu)` Sets a new query.

Methods inherited from class org.basex.query.QueryProcessor
`compile, det, getInfo, parse, prog, query, queryNodes, tit`

Methods inherited from class org.basex.core.Progress
`checkStop, detail, progress, progress, stop, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctx

    public XQContext ctx

  XQuery context reference.

Constructor Detail

### XQueryProcessor

    public XQueryProcessor(java.lang.String qu)

  XQuery Constructor.

  Parameters:
    `qu` - query

### XQueryProcessor

    public XQueryProcessor(java.lang.String qu,
                           IO f)

  XQuery Constructor.

  Parameters:
    `qu` - query
    `f` - query file reference

Method Detail

### create

    public QueryContext create()
                        throws QueryException

  Description copied from class: `QueryProcessor`
  Parses the specified query and returns the query context.

  Returns:
    query expression
  Throws:
    `QueryException` - query exception

### parse

    public void parse(java.lang.String in)
               throws QueryException

  Parses the specified input.

  Parameters:
    `in` - input to be parsed
  Throws:
    `QueryException` - query exception

### module

    public void module(java.lang.String ns,
                       java.lang.String file)

  Adds a module reference.

  Parameters:
    `ns` - module namespace
    `file` - file name

### setQuery

    public void setQuery(java.lang.String qu)

  Sets a new query. Should be called before parsing the query.

  Parameters:
    `qu` - query

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD